Proxmox VE 7.1 released!

Olaf Brenn

Active Member
Jul 3, 2017
43
2
28
49
OK, thanks. Is there any way to fix this? Running apt full-upgrade will uninstall proxmox. In order to receive updates I have to fix this.
Is it OK to remove proxmox and reinstall it?

Olaf
 

t.lamprecht

Proxmox Staff Member
Staff member
Jul 28, 2015
5,204
1,513
164
South Tyrol/Italy
shop.proxmox.com
Is it OK to remove proxmox and reinstall it?
Most of the time it's better not to do so, especially if one's isn't that experienced with apt yet.

What is the ouput if you try to upgrade one of the available upgrades explicitly, i.e., via:
apt install libpython2.7-minimal

ps. this could require quite a few back and forth messages, I cannot guarantee anything but we already helped other users to fix some similar situations. It probably would be better to open a separate thread though, to avoid crowding the general release thread even more.
 
Last edited:

Olaf Brenn

Active Member
Jul 3, 2017
43
2
28
49
this will uninstall proxmox:

Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages were automatically installed and are no longer required:
arch-test augeas-lenses cryptsetup-bin db-util db5.3-util debootstrap exfat-fuse exfat-utils f2fs-tools hfsplus icoutils kpartx ldmtool libafflib0v5 libaugeas0 libbfio1
libconfig9 libdate-manip-perl libewf2 libfdt1 libfuse3-3 libhfsp0 libhivex0 libintl-perl libintl-xs-perl libjs-qrcodejs libjson-glib-1.0-0 libjson-glib-1.0-common
libldm-1.0-0 libleveldb1d libnetpbm10 libntfs-3g883 liboath0 libposix-strptime-perl libproxmox-backup-qemu0 libpve-cluster-api-perl libqrencode4 librabbitmq4 librdkafka1
librgw2 libsys-virt-perl libtpms0 libtsk19 liburing1 libvhdi1 libvirt0 libvmdk1 libwin-hivex-perl libyajl2 libyara4 lsscsi mdadm netpbm ntfs-3g osinfo-db
proxmox-archive-keyring proxmox-backup-client proxmox-backup-file-restore proxmox-backup-restore-image proxmox-websocket-tunnel pve-lxc-syscalld python-ceph-argparse
qrencode reiserfsprogs scrub sleuthkit squashfs-tools supermin swtpm swtpm-libs swtpm-tools syslinux zerofree zstd
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
libpython2.7-stdlib python-six python2.7 python2.7-minimal
Suggested packages:
python2.7-doc binfmt-support
The following packages will be REMOVED:
ceph-common libguestfs-hfsplus libguestfs-perl libguestfs-reiserfs libguestfs-tools libguestfs-xfs libguestfs0 libpve-guest-common-perl libpve-storage-perl libpython-stdlib
proxmox-ve pve-container pve-ha-manager pve-manager pve-qemu-kvm python python-asn1crypto python-cephfs python-certifi python-cffi-backend python-configparser
python-cryptography python-enum34 python-future python-idna python-ipaddr python-ipaddress python-minimal python-openssl python-prettytable python-rados python-rbd
python-rgw python-urllib3 qemu-server spiceterm virt-p2v
The following packages will be upgraded:
libpython2.7-minimal libpython2.7-stdlib python-six python2.7 python2.7-minimal
5 upgraded, 0 newly installed, 37 to remove and 4 not upgraded.
Need to get 0 B/3,911 kB of archives.
After this operation, 417 MB disk space will be freed.
Do you want to continue? [Y/n]


followed by on pressed Y

W: (pve-apt-hook) !! WARNING !!
W: (pve-apt-hook) You are attempting to remove the meta-package 'proxmox-ve'!
W: (pve-apt-hook)
W: (pve-apt-hook) If you really want to permanently remove 'proxmox-ve' from your system, run the following command
W: (pve-apt-hook) touch '/please-remove-proxmox-ve'
W: (pve-apt-hook) run apt purge proxmox-ve to remove the meta-package
W: (pve-apt-hook) and repeat your apt invocation.
W: (pve-apt-hook)
W: (pve-apt-hook) If you are unsure why 'proxmox-ve' would be removed, please verify
W: (pve-apt-hook) - your APT repository settings
W: (pve-apt-hook) - that you are using 'apt full-upgrade' to upgrade your system
E: Sub-process /usr/share/proxmox-ve/pve-apt-hook returned an error code (1)
E: Failure running script /usr/share/proxmox-ve/pve-apt-hook


Olaf

P.S. I can open up the new thread if it cannot be solved the easy way
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!